JobImpl.InitTransition (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.job.impl, class: JobImpl, class: InitTransition

Package org.apache.hadoop.mapreduce.v2.app.job.impl

# Class JobImpl.InitTransition

java.lang.Object
org.apache.hadoop.mapreduce.v2.app.job.impl.JobImpl.InitTransition

All Implemented Interfaces:
  `org.apache.hadoop.yarn.state.MultipleArcTransition<JobImpl,JobEvent,JobStateInternal>`

Enclosing class:
  JobImpl

public static class JobImpl.InitTransition extends Object implements org.apache.hadoop.yarn.state.MultipleArcTransition<JobImpl,JobEvent,JobStateInternal>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InitTransition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.hadoop.mapreduce.split.JobSplit.TaskSplitMetaInfo[]`
  `createSplits(JobImpl job, org.apache.hadoop.mapreduce.v2.api.records.JobId jobId)`
  `protected void`
  `setup(JobImpl job)`
  `JobStateInternal`
  `transition(JobImpl job, JobEvent event)`
  Note that this transition method is called directly (and synchronously) by MRAppMaster's init() method (i.e., no RPC, no thread-switching; just plain sequential call within AM context), so we can trigger modifications in AM state from here (at least, if AM is written that way; MR version is).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InitTransition

    public InitTransition()

- ## Method Details

  - ### transition

    public JobStateInternal transition(JobImpl job, JobEvent event)
    Note that this transition method is called directly (and synchronously) by MRAppMaster's init() method (i.e., no RPC, no thread-switching; just plain sequential call within AM context), so we can trigger modifications in AM state from here (at least, if AM is written that way; MR version is).
    Specified by:
      `transition` in interface `org.apache.hadoop.yarn.state.MultipleArcTransition<JobImpl,JobEvent,JobStateInternal>`

  - ### setup

    protected void setup(JobImpl job) throws IOException
    Throws:
      `IOException`

  - ### createSplits

    protected org.apache.hadoop.mapreduce.split.JobSplit.TaskSplitMetaInfo[] createSplits(JobImpl job, org.apache.hadoop.mapreduce.v2.api.records.JobId jobId)